# Type alias VerifyClientCallbackAsync<Request>

VerifyClientCallbackAsync<Request>: ((info, callback) => void)

VerifyClientCallbackAsync is an asynchronous callback used to inspect the incoming message. The return value (boolean) of the function determines whether or not to accept the handshake.

#### Type Parameters

- Request extends IncomingMessage = IncomingMessage

#### Type declaration

- - (info, callback): void

  - #### Parameters

    - info: {
      origin: string;
      req: Request;
      secure: boolean;
      }

      - ##### origin: string

      - ##### req: Request

      - ##### secure: boolean

    - callback: ((res, code?, message?, headers?) => void)
      - - (res, code?, message?, headers?): void

        - #### Parameters

          - res: boolean
          - `Optional` code: number
          - `Optional` message: string
          - `Optional` headers: OutgoingHttpHeaders

          #### Returns void

- Defined in node_modules/@types/ws/index.d.ts:238